/*
**	Command & Conquer Generals Zero Hour(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

////////////////////////////////////////////////////////////////////////////////
//																																						//
//  (c) 2001-2003 Electronic Arts Inc.																				//
//																																						//
////////////////////////////////////////////////////////////////////////////////

// FILE: ModelConditionUpgrade.h /////////////////////////////////////////////////////////////////////////////
// Author: Graham Smallwood, July 2003
// Desc:	 UpgradeModule that sets a modelcondition flag
///////////////////////////////////////////////////////////////////////////////////////////////////

#pragma once

#ifndef _MODEL_CONDITION_UPGRADE_H
#define _MODEL_CONDITION_UPGRADE_H

#include "GameLogic/Module/UpgradeModule.h"

enum ModelConditionFlagType;
//-----------------------------------------------------------------------------
class ModelConditionUpgradeModuleData : public UpgradeModuleData
{
public:
	ModelConditionFlagType m_conditionFlag;

	ModelConditionUpgradeModuleData();

	static void buildFieldParse(MultiIniFieldParse& p);
};

//-----------------------------------------------------------------------------
class ModelConditionUpgrade : public UpgradeModule
{

	MEMORY_POOL_GLUE_WITH_USERLOOKUP_CREATE( ModelConditionUpgrade, "ModelConditionUpgrade" )
	MAKE_STANDARD_MODULE_MACRO_WITH_MODULE_DATA( ModelConditionUpgrade, ModelConditionUpgradeModuleData );

public:

	ModelConditionUpgrade( Thing *thing, const ModuleData* moduleData );
	// virtual destructor prototype defined by MemoryPoolObject

protected:
	virtual void upgradeImplementation( ); ///< Here's the actual work of Upgrading
	virtual Bool isSubObjectsUpgrade() { return false; }

};
#endif // _MODEL_CONDITION_UPGRADE_H


