/*
**	Command & Conquer Generals Zero Hour(tm)
**	Copyright 2025 Electronic Arts Inc.
**
**	This program is free software: you can redistribute it and/or modify
**	it under the terms of the GNU General Public License as published by
**	the Free Software Foundation, either version 3 of the License, or
**	(at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/***********************************************************************************************
 ***              C O N F I D E N T I A L  ---  W E S T W O O D  S T U D I O S               ***
 ***********************************************************************************************
 *                                                                                             *
 *                 Project Name : WW3D                                                         *
 *                                                                                             *
 *                     $Archive:: /Commando/Code/ww3d2/snappts.cpp                            $*
 *                                                                                             *
 *                       Author:: Greg Hjelstrom                                               *
 *                                                                                             *
 *                     $Modtime:: 1/08/01 10:04a                                              $*
 *                                                                                             *
 *                    $Revision:: 1                                                           $*
 *                                                                                             *
 *---------------------------------------------------------------------------------------------*
 * Functions:                                                                                  *
 * - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */

#include "snappts.h"
#include "chunkio.h"
#include "w3d_file.h"
#include "w3derr.h"

WW3DErrorType SnapPointsClass::Load_W3D(ChunkLoadClass & cload)
{
	// this function assumes that a W3D_CHUNK_POINTS has been opened
	int size = cload.Cur_Chunk_Length();
	int count = size / sizeof (W3dVectorStruct);
	
	Resize(count);
	for (int i=0; i<count; i++) {
		W3dVectorStruct vec;
		if (cload.Read(&vec,sizeof(vec)) != sizeof(vec)) {
			goto Error;
		}

		Vector3 point (vec.X, vec.Y, vec.Z);
		Add (point);
		//(*this)[i].Set(vec.X,vec.Y,vec.X);
	}

	return WW3D_ERROR_OK;

Error:

	return WW3D_ERROR_LOAD_FAILED;
}
